# The &gcompris; Administration Handbook

Johnny Jazeix
The &gcompris; Team
Developers
&FDLNotice;
2022-01-21
2.1

&gcompris; is a multi-activity educational software.

KDE
education
children
games

## Administration Handbook

### Introduction

&gcompris; is a rich educational software suite which contains a wide range of activities.

It offers various activities aimed at covering a variety of fields. The topics include reading and typing, arithmetics, geography, sciences, and other topics. It is meant to be used both at home and at school.

The purpose of &gcompris; is to provide playful activities but always educational.

&gcompris; is part of &kde; project and is placed under the AGPLv3 license. All the code, except the engine for analog electricity activity is under GPLv3 license.

&gcompris; is available on the following operating systems: &GNU;/&Linux;, &BSD;, MacOSX, &Windows;, Android. It requires a 3D card with support of OpenGL 2.1 or higher is required. 32 bits color depth mandatory

### Installation

The software is delivered under several forms. Follow the process according to your case.

- &GNU;/&Linux;: Use the packages delivered by your &GNU;/&Linux; distribution. If &gcompris; is not packaged in your &Linux; distribution, please contact them to ask for the inclusion of &gcompris; in your &Linux; distribution.

- &Windows;: Delivered under a classic installer for &Windows; or via the Microsoft Store.

- MacOSX: Delivered under a classic installer.

- Android: Distributed by the F-Droid store or Google Play Store. Apk file is also available.

### The User Interface

The interface is designed for easy use by small children. &gcompris; is controlled with a mouse. Keyboard navigation is also available on most of the activities.

#### Main window

When you start the program, &gcompris; shows a graphic interface which presents the list of activities with a control bar at the bottom.

Here's a screenshot of &gcompris; Main Window
&gcompris; Main Window

Each icon represents an activity. Around each one, you can find small icons which give additional information about the activity. A simple click on the icon will lead you to an activity or a menu of activities. There are 8 sections (categories) of activities, which placed on the top or on the left (only if your orientation is portrait). For example, there is section "Board games", which includes board games, like chess, tic tac toe or align four.

Some categories have subcategories to better filter the activities. For math activities, we have three subcategories: numeration, arithmetic and measures.

The stars indicate the age group for which each game is designed:

- 1, 2 or 3 yellow stars - for 2 to 6 years old.

- 1, 2 or 3 red stars - greater than 6 years old.

At the bottom of the screen there is a control bar for &gcompris;. The possible icons are (the icons are only displayed if they are available in the activity):

- Home - Leaves the current activity, returns to the previous menu.

- "OK" - Validate, confirm your answer. Some activities do not detect automatically whether or not the child has completed the task. In this case, you have to click on this icon. You can also use the &Enter; key on your keyboard.

- Light - Display a hint for the activity. We can help the children on some activities to guide them to find the answers.

- Arrows - The present level is displayed. Click on one of the arrows to select another level. Generally, the activities offer several levels whose numbers depend on the activity. In &gcompris;, it is possible to go to the next level without having completed the current level.

- Lips - Ask &gcompris; to repeat the question.

- Question mark - Display the help dialog box. Sometimes, an activity can be too complex to be described easily in the description area. In this case, this function gives access to additional information.

- Tool box - Configuration menu. The configuration is saved in the user repository (folder) under the name `.config/gcompris/gcompris.conf`. This is a text file which can be edited manually.

- List item - Display the activity settings menu. There are two possible tabs here. First one, "Dataset", allows to choose the levels of the activities depending on several objectives and the second one, "Options", allows to update the configuration of the activity if available.

- Capital "G" - Information box on &gcompris;, presents the main contributors and the version of the software.

- Power - Quit &gcompris;. You can also use the shortcut on your keyboard &Ctrl;Q

#### Kiosk Mode

When you use &gcompris; with small children or on a self-service kiosk, you can disable a certain number of options:

- ``gcompris --enable-kioskmode`` : disable the Quit and Configuration buttons.

- ``gcompris --disable-kioskmode`` : enable the Quit and Configuration buttons.

- ``gcompris -f`` : run &gcompris; in fullscreen mode

- ``gcompris -C`` : disable the cursor (touch screen mode)

These options can of course be combined.

#### Keyboard Shortcuts

Shortcut | Action
&Esc; or &Ctrl;W | Quit the current activity or dialog then return to the main menu.
&Ctrl;Q | Quit &gcompris; without further notice.
&Ctrl;F | Toggle fullscreen mode.
&Ctrl;M | Toggle sound mute.
&Ctrl;B | Display or Hide the control bar.

### Notes on Internationalization

&gcompris; is internationalized and is available in more than 35 languages. If you want to check if your language is available, you can start &gcompris; and select your language in the option of configuration.

Be careful, some languages need specific fonts to be displayed correctly.

If your language is not supported, you can contribute to the software and add the translation of your language. If you are interested, you can contact the translation team of the &kde; project for your language. You can check the level of translation for your language on the &kde; translation web site.

### Language learning

You can use &gcompris; in a foreign language that you are learning. Select a foreign language in the configuration menu. Do not forget to download the optional audio modules for this language.

### Customizing activities

You can customize some activities using the configuration button in them. For example, you can set the locale in some text activities (like wordsgame), or make it show real car images instead of filled rectangles (traffic).

For multiple activities, you can choose several datasets in the configuration. Each one has a specific objective which is described.

Dataset of activity "Count the items"
Dataset of activity "Count the items"

You can choose the options for this activity.

Select mode of activity "Count the items"
Select mode of activity "Count the items"

### Console Switches

Running &gcompris; from a command console with the --help option will display all the parameters it accepts:

-f, --fullscreen | Run &gcompris; in fullscreen mode.
-w, --window | Run &gcompris; in window mode.
-s, --sound | Run &gcompris; with sound enabled.
-m, --mute | Run &gcompris; without sound.
-c, --cursor | Run &gcompris; with the default system cursor.
-C, --nocursor | Run &gcompris; without cursor (touch screen mode).
-v, --version | Print the version of &gcompris;.
--export-activities-as-sql | Export activities as SQL.
--enable-kioskmode | Enable the kiosk mode (hides Quit and Configuration buttons).
--disable-kioskmode | Disable the kiosk mode (default).
--software-renderer | Use software renderer instead of openGL (should work with any graphical card).
--opengl-renderer | Use openGL renderer instead of software (faster and more graphical effects but can crash with some graphical cards).

#### &Windows; Example

You can add these switches in the desktop icon properties. Here is an example that runs &gcompris; in kiosk mode in full screen, without Configuration button and cursor:

``"C:\Program Files\Gcompris\gcompris-qt.exe" --enable-kioskmode -f -C``

#### &GNU;/&Linux; Example

Create an application launcher and configure the command line parameters. Here is an example that runs &gcompris; in kiosk mode in full screen, without Config button and cursor:

``gcompris-qt --enable-kioskmode -f -C``

## Credits and License

&gcompris;

Program copyright 2000-2022 Timothée Giet and others

&underFDL;

&underGPL;

&documentation.index;